//+------------------------------------------------------------------+
//|                      Copyright  2012         RStochAlert4TF.mq4 |
//|                                                      Jose Ruacho |
//|                                          jose.i.ruacho@gmail.com |
//+------------------------------------------------------------------+
#property copyright "Copyright  2012 , Jose Ruacho"



#define __STRATEGY_MAGIC 1897450552

//Inputs
extern string _Triggers = "------ Buy & Sell Triggers ------";
extern double _BLevel = 20;
extern double _SLevel = 80;

//Declaration
double _Stochastic;
double _Stochastic_2;
double _Stochastic_3;
double _Stochastic_4;
bool _Compare;
bool _Compare_2;
bool _Compare_3;
bool _Compare_4;
string __Symbol;
double _Ask;
double _Stochastic_5;
double _Stochastic_6;
double _Stochastic_7;
double _Stochastic_8;
bool _Compare_5;
bool _Compare_6;
bool _Compare_7;
bool _Compare_8;
bool _BGo;
bool _Sgo;
double _Bid;

int init(){
   __Symbol = Symbol();
   return(0);
}

int start(){

   //Level 1
   _Stochastic = iStochastic(Symbol(),15,5,3,3,0,0,0,0);
   _Stochastic_2 = iStochastic(Symbol(),30,5,3,3,0,0,0,0);
   _Stochastic_3 = iStochastic(Symbol(),60,5,3,3,0,0,0,0);
   _Stochastic_4 = iStochastic(Symbol(),240,5,3,3,0,0,0,0);
   _Ask = Ask;
   _Stochastic_5 = iStochastic(Symbol(),15,5,3,3,0,0,0,0);
   _Stochastic_6 = iStochastic(Symbol(),30,5,3,3,0,0,0,0);
   _Stochastic_7 = iStochastic(Symbol(),60,5,3,3,0,0,0,0);
   _Stochastic_8 = iStochastic(Symbol(),240,5,3,3,0,0,0,0);
   _Bid = Bid;

   //Level 2
   _Compare = _Stochastic <= _BLevel;
   _Compare_2 = _Stochastic_2 <= _BLevel;
   _Compare_3 = _Stochastic_3 <= _BLevel;
   _Compare_4 = _Stochastic_4 <= _BLevel;
   _Compare_5 = _Stochastic_5 >= _SLevel;
   _Compare_6 = _Stochastic_6 >= _SLevel;
   _Compare_7 = _Stochastic_7 >= _SLevel;
   _Compare_8 = _Stochastic_8 >= _SLevel;

   //Level 3
   _BGo = _Compare && _Compare_2 && _Compare_3 && _Compare_4;
   _Sgo = _Compare_5 && _Compare_6 && _Compare_7 && _Compare_8;

   //Level 4
   if(_BGo)Alert(__Symbol," / Possible Buy @ ",_Ask);
   if(_Sgo)Alert(__Symbol," / Possible Sell @ ",_Bid);
   return(0);
}